## checkpolicy 1.10

=== Makefile ===
#
# Makefile for building the checkpolicy program
#
PREFIX ?= ${DESTDIR}/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

# Set to y for MLS
MLS=n

ifeq ($(MLS),y)
OPTIONS = -DCONFIG_SECURITY_SELINUX_MLS
OBJS = mls.o
else
OPTIONS =
OBJS =
endif

CFLAGS = -g $(OPTIONS) -Wall -O2 -pipe

override CFLAGS += -include global.h -I. -Iinclude

OBJS += ebitmap.o hashtab.o symtab.o sidtab.o avtab.o policydb.o services.o y.tab.o lex.yy.o queue.o write.o checkpolicy.o conditional.o

LIBS=-lfl

all:  checkpolicy

checkpolicy: $(OBJS)
	$(CC) -o $@ $^ $(LIBS)

%.o: %.c 
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.o: y.tab.c
	$(CC) $(CFLAGS) -o $@ -c $<

lex.yy.o: lex.yy.c
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.c: policy_parse.y
	$(YACC) -d policy_parse.y

lex.yy.c: policy_scan.l
	$(LEX) policy_scan.l

install: all
	-mkdir -p $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 755 checkpolicy $(BINDIR)	
	install -m 644 checkpolicy.8 $(MANDIR)/man8

relabel: install
	setfilecon system_u:object_r:checkpolicy_exec_t $(BINDIR)/checkpolicy

clean:
	rm -f checkpolicy $(OBJS) y.tab.c y.tab.h lex.yy.c

=== test/Makefile ===
#
# Makefile for building the dispol program
#
PREFIX=/usr/local/selinux/
BINDIR=$(PREFIX)/bin

CFLAGS = -g -Wall -O2 -pipe
#CFLAGS = -g -Wall -O2 -pipe
override CFLAGS += -include global.h -I. -I.. -I../include

# Set to y if MLS is enabled in the module.
MLS=n

ifeq ($(MLS),y)
OPTIONS = -DCONFIG_SECURITY_SELINUX_MLS
else
OPTIONS = 
endif

OBJS = ebitmap.o queue.o hashtab.o symtab.o sidtab.o avtab.o policydb.o services.o conditional.o dispol.o 

ifeq ($(MLS),y)
OBJS += mls.o
endif

LIBS=-lfl

all: dispol

dispol: $(OBJS)
	$(CC) -o $@ $^ $(LIBS)

%.o: ../%.c 
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f dispol *.o

## checkpolicy 1.18

=== Makefile ===
#
# Makefile for building the checkpolicy program
#
PREFIX ?= ${DESTDIR}/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
LIBDIR ?= ${PREFIX}/lib
TARGETS = checkpolicy genpolusers 

# Set to y for MLS
MLS=n

ifeq ($(MLS),y)
OPTIONS = -DCONFIG_SECURITY_SELINUX_MLS
else
OPTIONS =
endif

CFLAGS = -g $(OPTIONS) -Wall -O2 -pipe

override CFLAGS += -I.

OBJS += y.tab.o lex.yy.o queue.o checkpolicy.o

USEROBJS += users.tab.o lex.users.o queue.o genpolusers.o

LIBS=-lfl ${LIBDIR}/libsepol.a

all:  $(TARGETS)

checkpolicy: $(OBJS)
	$(CC) -o $@ $^ $(LIBS)

genpolusers: $(USEROBJS)
	$(CC) -o $@ $^ $(LIBS)

%.o: %.c 
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.o: y.tab.c
	$(CC) $(CFLAGS) -o $@ -c $<

lex.yy.o: lex.yy.c
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.c: policy_parse.y
	$(YACC) -d policy_parse.y

lex.yy.c: policy_scan.l y.tab.c
	$(LEX) policy_scan.l

users.tab.c: users.y
	$(YACC) -d -o $@ $<

lex.users.c: users.l users.tab.c
	$(LEX) -o$@ $<

install: all
	-mkdir -p $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 755 $(TARGETS) $(BINDIR)	
	install -m 644 checkpolicy.8 $(MANDIR)/man8

relabel: install
	setfilecon system_u:object_r:checkpolicy_exec_t $(BINDIR)/checkpolicy

clean:
	rm -f $(TARGETS) $(OBJS) $(USEROBJS) $(BOOLOBJS) y.tab.c y.tab.h lex.yy.c users.tab.c lex.users.c users.tab.h

## checkpolicy 1.22

=== Makefile ===
#
# Makefile for building the checkpolicy program
#
PREFIX ?= ${DESTDIR}/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
LIBDIR ?= ${PREFIX}/lib
TARGETS = checkpolicy 

CFLAGS = -g -Wall -O2 -pipe

override CFLAGS += -I.

OBJS += y.tab.o lex.yy.o queue.o checkpolicy.o

LIBS=-lfl ${LIBDIR}/libsepol.a

all:  $(TARGETS)

checkpolicy: $(OBJS)
	$(CC) -o $@ $^ $(LIBS)

%.o: %.c 
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.o: y.tab.c
	$(CC) $(CFLAGS) -o $@ -c $<

lex.yy.o: lex.yy.c
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.c: policy_parse.y
	$(YACC) -d policy_parse.y

lex.yy.c: policy_scan.l y.tab.c
	$(LEX) policy_scan.l

install: all
	-mkdir -p $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 755 $(TARGETS) $(BINDIR)	
	install -m 644 checkpolicy.8 $(MANDIR)/man8

relabel: install
	/sbin/restorecon $(BINDIR)/checkpolicy

clean:
	rm -f $(TARGETS) $(OBJS) y.tab.c y.tab.h lex.yy.c

=== test/Makefile ===
#
# Makefile for building the dispol program
#
PREFIX=/usr/local/selinux/
BINDIR=$(PREFIX)/bin

CFLAGS = -g -Wall -O2 -pipe
#CFLAGS = -g -Wall -O2 -pipe
override CFLAGS += -I. -I.. -I../include

OBJS = dispol.o

LIBS=-lfl /usr/lib/libsepol.a

all: dispol

dispol: $(OBJS)
	$(CC) -o $@ $^ $(LIBS)

%.o: ../%.c 
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f dispol *.o

## checkpolicy 1.24

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,12 @@
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man
 LIBDIR ?= ${PREFIX}/lib
+INCLUDEDIR ?= ${PREFIX}/include
 TARGETS = checkpolicy 
 
 CFLAGS = -g -Wall -O2 -pipe
 
-override CFLAGS += -I.
+override CFLAGS += -I. -I${INCLUDEDIR}
 
 OBJS += y.tab.o lex.yy.o queue.o checkpolicy.o

## checkpolicy 1.30.3

=== Makefile ===
#
# Makefile for building the checkpolicy program
#
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include
TARGETS = checkpolicy checkmodule

CFLAGS ?= -g -Wall -O2 -pipe -fno-strict-aliasing

override CFLAGS += -I. -I${INCLUDEDIR}

CHECKOBJS = y.tab.o lex.yy.o queue.o module_compiler.o
CHECKPOLOBJS = $(CHECKOBJS) checkpolicy.o
CHECKMODOBJS = $(CHECKOBJS) checkmodule.o

LDLIBS=$(LIBDIR)/libsepol.a -lfl

all:  $(TARGETS)
	$(MAKE) -C test

checkpolicy: $(CHECKPOLOBJS)

checkmodule: $(CHECKMODOBJS)

%.o: %.c 
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.o: y.tab.c
	$(CC) $(CFLAGS) -o $@ -c $<

lex.yy.o: lex.yy.c
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.c: policy_parse.y
	$(YACC) -d policy_parse.y

lex.yy.c: policy_scan.l y.tab.c
	$(LEX) policy_scan.l

install: all
	-mkdir -p $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 755 $(TARGETS) $(BINDIR)	
	install -m 644 checkpolicy.8 $(MANDIR)/man8
	install -m 644 checkmodule.8 $(MANDIR)/man8

relabel: install
	/sbin/restorecon $(BINDIR)/checkpolicy
	/sbin/restorecon $(BINDIR)/checkmodule

clean:
	-rm -f $(TARGETS) $(CHECKPOLOBJS) $(CHECKMODOBJS) y.tab.c y.tab.h lex.yy.c
	$(MAKE) -C test clean

## checkpolicy 1.32

=== Makefile ===
--- 
+++ 
@@ -12,11 +12,13 @@
 
 override CFLAGS += -I. -I${INCLUDEDIR}
 
-CHECKOBJS = y.tab.o lex.yy.o queue.o module_compiler.o
+CHECKOBJS = y.tab.o lex.yy.o queue.o module_compiler.o parse_util.o
 CHECKPOLOBJS = $(CHECKOBJS) checkpolicy.o
 CHECKMODOBJS = $(CHECKOBJS) checkmodule.o
 
 LDLIBS=$(LIBDIR)/libsepol.a -lfl
+
+GENERATED=lex.yy.c y.tab.c y.tab.h
 
 all:  $(TARGETS)
 	$(MAKE) -C test
@@ -55,3 +57,5 @@
 	-rm -f $(TARGETS) $(CHECKPOLOBJS) $(CHECKMODOBJS) y.tab.c y.tab.h lex.yy.c
 	$(MAKE) -C test clean
 
+indent:
+	../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))

=== test/Makefile ===
#
# Makefile for building the dispol program
#
PREFIX ?= $(DESTDIR)/usr
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include

CFLAGS ?= -g -Wall -O2 -pipe
override CFLAGS += -I$(INCLUDEDIR)

LDLIBS=-lfl -lselinux $(LIBDIR)/libsepol.a -L$(LIBDIR)

all: dispol dismod

dispol: dispol.o

dismod: dismod.o

clean:
	-rm -f dispol dismod *.o

## checkpolicy 2.0.2

=== Makefile ===
--- 
+++ 
@@ -58,4 +58,4 @@
 	$(MAKE) -C test clean
 
 indent:
-	../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))
+	../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))

## checkpolicy 2.0.9

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,9 @@
 INCLUDEDIR ?= $(PREFIX)/include
 TARGETS = checkpolicy checkmodule
 
-CFLAGS ?= -g -Wall -O2 -pipe -fno-strict-aliasing
+YACC = bison -y
+
+CFLAGS ?= -g -Wall -Werror -O2 -pipe -fno-strict-aliasing
 
 override CFLAGS += -I. -I${INCLUDEDIR}

## checkpolicy 2.0.16

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
 
 override CFLAGS += -I. -I${INCLUDEDIR}
 
-CHECKOBJS = y.tab.o lex.yy.o queue.o module_compiler.o parse_util.o
+CHECKOBJS = y.tab.o lex.yy.o queue.o module_compiler.o parse_util.o \
+	    policy_define.o
 CHECKPOLOBJS = $(CHECKOBJS) checkpolicy.o
 CHECKMODOBJS = $(CHECKOBJS) checkmodule.o
 
@@ -33,10 +34,10 @@
 	$(CC) $(CFLAGS) -o $@ -c $<
 
 y.tab.o: y.tab.c
-	$(CC) $(CFLAGS) -o $@ -c $<
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -o $@ -c $<
 
 lex.yy.o: lex.yy.c
-	$(CC) $(CFLAGS) -o $@ -c $<
+	$(CC) $(filter-out -Werror, $(CFLAGS)) -o $@ -c $<
 
 y.tab.c: policy_parse.y
 	$(YACC) -d policy_parse.y

## checkpolicy 2.0.22

=== test/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CFLAGS ?= -g -Wall -O2 -pipe
 override CFLAGS += -I$(INCLUDEDIR)
 
-LDLIBS=-lfl -lselinux $(LIBDIR)/libsepol.a -L$(LIBDIR)
+LDLIBS=-lfl -lsepol -lselinux $(LIBDIR)/libsepol.a -L$(LIBDIR)
 
 all: dispol dismod

## checkpolicy 2.1.0

=== debian/changelog ===
checkpolicy (2.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules,debian/patches/multiarch.patch
    - add multiarch support to fix FTBFS (#652748)
  * debian/source/format
    - add it to support quilt

 -- Hideki Yamane <henrich@debian.org>  Fri, 30 Dec 2011 10:52:06 +0900

checkpolicy (2.1.0-1) unstable; urgency=low

  * New upstream release.
    Support role transitions, filename transitions, and single digit module
    versions among other things.
  * Made it build-depend on the latest libsepol1-dev and libselinux1-dev

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Aug 2011 15:17:56 +1000

checkpolicy (2.0.23-1) unstable; urgency=low

  * Made myself the maintainer and made Manoj an uploader as he hasn't done an
    upload for a while
  * New upstream release
  + Remove unused variables to fix compliation under GCC 4.6 by Justin Mattock
  * Used the latest versions of libsepol1-dev and libselinux1-dev in
    build-depends

 -- Russell Coker <russell@coker.com.au>  Thu, 31 Mar 2011 23:35:30 +1100

checkpolicy (2.0.22-1) unstable; urgency=low

  * New upstream release. Update checkmodule man page and usage by Daniel
    Walsh and Steve Lawrence 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 21 Jul 2010 00:28:52 -0700

checkpolicy (2.0.21-1) unstable; urgency=low

  * New upstream release
    + Add long options to checkpolicy and checkmodule by Guido
    Trentalancia <guido@trentalancia.com> 


 -- Manoj Srivastava <srivasta@debian.org>  Sun, 28 Mar 2010 09:59:27 -0700

checkpolicy (2.0.20-1) unstable; urgency=low

  * New upstream point release. Add support for building Xen policies from
    Paul Nuzzi. 

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Oct 2009 23:10:12 -0500

checkpolicy (2.0.19-1) unstable; urgency=low

  * New upstream release
    * Fix alias field in module format, caused by boundary format change
      from Caleb Case.
    * Properly escape regex symbols in the lexer from Stephen Smalley.
    * Add bounds support from KaiGai Kohei.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 15 Jun 2009 14:12:44 -0500

checkpolicy (2.0.16-4) unstable; urgency=low

  * Updated the location of the sources in the watch file.
  * Fixed a race condition in the debian rules file, and allow an override
    for parallel builds.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 16 Apr 2009 12:55:26 -0500

checkpolicy (2.0.16-3) unstable; urgency=low

  * [cb135a2] Removed obsolete dependencies  (Closes: #505737)

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Nov 2008 02:52:53 -0600

checkpolicy (2.0.16-2) unstable; urgency=low

  * Move to the new, make -j friendly, streamlined targets in the build
    system. This should make building this more robust, and faster.
  * Record the new VCS repository location for the package.
  * NMU ack.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Aug 2008 02:09:26 -0500

checkpolicy (2.0.16-1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version needed for latest policy.

 -- Russell Coker <russell@coker.com.au>  Sat, 12 Jul 2008 00:16:59 +1000

checkpolicy (2.0.12-1) unstable; urgency=low

  * New upstream release
    * Initialize struct policy_file before using it, from Todd C. Miller.
    * Remove unused define, move variable out of .y file, simplify
      COND_ERR, from Todd C. Miller. 
    * Use yyerror2() where appropriate from Todd C. Miller.
    * Update dispol for libsepol avtab changes from Stephen Smalley.
    * Deprecate role dominance in parser.
    * Added support for policy capabilities from Todd Miller.
    * Initialize the source file name from the command line argument so
      that checkpolicy/checkmodule report something more useful than
      "unknown source". 
    * Merged remove use of REJECT and trailing context in lex rules; make
      ipv4 address parsing like ipv6 from James Carter. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 18 Mar 2008 01:34:42 -0500

checkpolicy (2.0.4-1) unstable; urgency=low

  * New upstream release
    * Merged handle unknown policydb flag support from Eric Paris.
      Adds new command line options -U {allow, reject, deny} for selecting
      the flag when a base module or kernel policy is built.
    * Merged fix for segfault on duplicate require of sensitivity from
      Caleb Case. 
    * Merged fix for dead URLs in checkpolicy man pages from Dan Walsh.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 06 Feb 2008 14:25:41 -0600

checkpolicy (2.0.2-1) unstable; urgency=low

  * New upstream SVN HEAD.
    + Merged checkmodule man page fix from Dan Walsh.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 May 2007 17:48:06 -0500

checkpolicy (2.0.1-1) unstable; urgency=low

  * New upstream trunk release
    * Merged patch to use new libsepol error codes by Karl MacMillan.
  
 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Apr 2007 18:51:02 -0500

checkpolicy (1.34.1-1) unstable; urgency=low

  * New upstream release
    * Merged patch to allow dots in class identifiers from Caleb Case.
    * Updated version for stable branch.
    * Collapse user identifiers and identifiers together.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control, and up0dated
    the build depends

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Apr 2007 00:46:26 -0500

checkpolicy (1.32-1) unstable; urgency=low

  * New upstream release
    * Merged user and range_transition support for modules from Darrel
      Goeddel 
    * Updated version for release.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 17:51:00 -0500

checkpolicy (1.30.11-2) unstable; urgency=low

  * Bug fix: "checkpolicy: Checkpolicy fails with old version of
    libsepol1", thanks to Simon Richard Grint (Closes: #387029).
  * Relink to the new version of libsepol, since that has the proper
    shlibs bump.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 16:06:19 -0500

checkpolicy (1.30.11-1) unstable; urgency=low



=== debian/control ===
Source: checkpolicy
VCS-Git: git://git.debian.org/~srivasta/debian/checkpolicy.git
VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/checkpolicy.git
Priority: optional
Section: utils
Maintainer: Russell Coker <russell@coker.com.au>
Uploaders: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.8.4.0
Build-Depends: bison, flex, libsepol1-dev (>= 2.1.0), libselinux1-dev (>= 2.1.0)

Package: checkpolicy
Architecture: any
Depends: ${shlibs:Depends}
Description: SELinux policy compiler
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access
 Control, and Multi-level Security.
 .
 This package contains checkpolicy, the SELinux policy compiler.  
 Only required for building policies.  It uses libsepol to generate
 the binary policy.  checkpolicy uses the static libsepol since it
 deals with low level details of the policy that have not been
 encapsulated/abstracted by a proper shared library interface.

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 17:46:22 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 70
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

ifneq ($(DEB_HOST_ARCH_OS),linux)
$(error This is a linux only package. Aborting build.)
endif

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# variables useful for perl packages
include debian/common/perlvars.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk



all:
	@echo nothing to be done

include debian/common/targets.mk

include debian/local.mk


#Local variables:
#mode: makefile
#End:

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2


http://userspace.selinuxproject.org/trac/wiki/Releases \
 http://userspace.selinuxproject.org/releases/.*/devel/checkpolicy-(.*).tar.gz

#http://userspace.selinuxproject.org/releases/current/devel/checkpolicy-(.*).tar.gz
#http://www.nsa.gov/selinux/code/download-trunk.cfm ../archives/checkpolicy-(.*)\.tgz

## checkpolicy 2.1.8

=== debian/changelog ===
checkpolicy (2.1.8-2) unstable; urgency=low

  * Team upload.
  * Switch to debhelper sequence
  * debian/control:
    - Bump Standards-Version to 3.9.3
    - Add Homepage field
    - Update Vcs-* fields
    - Make checkpolicy arch linux-any
    - Put under the Debian SELinux team maintenance
  * Add debian/gbp.conf file
  * debian/rules: Append CPPFLAGS hardening flags to CFLAGS as build system is
    not using CPPFLAGS

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Mar 2012 20:22:24 +0200

checkpolicy (2.1.8-1) unstable; urgency=low

  * New upstream version, added filename trans rule support.

 -- Russell Coker <russell@coker.com.au>  Tue, 28 Feb 2012 16:21:32 +1100

=== debian/control ===
Source: checkpolicy
VCS-Git: git://anonscm.debian.org/git/selinux/checkpolicy.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/checkpolicy.git;a=summary
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 3.9.3
Build-Depends: bison,
               debhelper (>= 9),
               flex,
               libselinux1-dev (>= 2.1.9),
               libsepol1-dev (>= 2.1.4)
Homepage: http://userspace.selinuxproject.org/

Package: checkpolicy
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SELinux policy compiler
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access
 Control, and Multi-level Security.
 .
 This package contains checkpolicy, the SELinux policy compiler.
 Only required for building policies.  It uses libsepol to generate
 the binary policy.  checkpolicy uses the static libsepol since it
 deals with low level details of the policy that have not been
 encapsulated/abstracted by a proper shared library interface.

## checkpolicy 2.1.12

=== test/Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 LIBDIR=$(PREFIX)/lib
 INCLUDEDIR ?= $(PREFIX)/include
 
-CFLAGS ?= -g -Wall -O2 -pipe
+CFLAGS ?= -g -Wall -W -Werror -O2 -pipe
 override CFLAGS += -I$(INCLUDEDIR)
 
-LDLIBS=-lfl -lsepol -lselinux $(LIBDIR)/libsepol.a -L$(LIBDIR)
+LDLIBS=-lfl -lselinux $(LIBDIR)/libsepol.a -L$(LIBDIR)
 
 all: dispol dismod

=== debian/changelog ===
checkpolicy (2.1.12-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - debian/control: Bump build-dependencies to match the release
  * Update debian/watch file

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 May 2013 23:30:40 +0200

checkpolicy (2.1.11-1) experimental; urgency=low

  * Team upload.
  * New upstream release
    - Bump libsepol1-dev and libselinux1-dev build-dependencies
  * debian/gbp.conf: Change default git-buildpackage build-directory and the
    debian-branch to "debian" instead of "upstream"

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Sep 2012 13:42:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: bison,
                debhelper (>= 9),
                flex,
-               libselinux1-dev (>= 2.1.9),
-               libsepol1-dev (>= 2.1.4)
+               libselinux1-dev (>= 2.1.13),
+               libsepol1-dev (>= 2.1.9)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

## checkpolicy 2.2

=== test/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 PREFIX ?= $(DESTDIR)/usr
 BINDIR=$(PREFIX)/bin
-LIBDIR=$(PREFIX)/lib
+LIBDIR ?= $(PREFIX)/lib
 INCLUDEDIR ?= $(PREFIX)/include
 
 CFLAGS ?= -g -Wall -W -Werror -O2 -pipe

=== debian/changelog ===
checkpolicy (2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - debian/control: Bump build-dependencies to match the release
    - debian/patches/multiarch.patch: Refreshed
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL for VCS-Git field

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Nov 2013 23:39:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: checkpolicy
-VCS-Git: git://anonscm.debian.org/git/selinux/checkpolicy.git
+VCS-Git: git://anonscm.debian.org/selinux/checkpolicy.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/checkpolicy.git;a=summary
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: bison,
                debhelper (>= 9),
                flex,
-               libselinux1-dev (>= 2.1.13),
-               libsepol1-dev (>= 2.1.9)
+               libselinux1-dev (>= 2.2),
+               libsepol1-dev (>= 2.2)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

=== debian/watch ===
version=3

http://userspace.selinuxproject.org/releases/(\d+)/checkpolicy-(.*).tar.gz

## checkpolicy 2.3

=== debian/changelog ===
checkpolicy (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * Add Built-Using field as checkpolicy is statically linking against
    libsepol

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 May 2014 00:45:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: bison,
                debhelper (>= 9),
                flex,
-               libselinux1-dev (>= 2.2),
-               libsepol1-dev (>= 2.2)
+               libselinux1-dev (>= 2.3),
+               libsepol1-dev (>= 2.3)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${Built-Using}
 Description: SELinux policy compiler
  Security-enhanced Linux is a patch of the Linux® kernel and a number
  of utilities with enhanced security functionality designed to add

## checkpolicy 2.4

=== test/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CFLAGS ?= -g -Wall -W -Werror -O2 -pipe
 override CFLAGS += -I$(INCLUDEDIR)
 
-LDLIBS=-lfl -lselinux $(LIBDIR)/libsepol.a -L$(LIBDIR)
+LDLIBS=-lfl $(LIBDIR)/libsepol.a -L$(LIBDIR)
 
 all: dispol dismod

=== debian/changelog ===
checkpolicy (2.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Nov 2015 18:26:56 +0100

checkpolicy (2.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/control: Drop libselinux-dev from the build-dependencies, it's not
    used
  * debian/watch: Update the watch file URL
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 03 Jun 2015 08:39:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: bison,
                debhelper (>= 9),
                flex,
-               libselinux1-dev (>= 2.3),
-               libsepol1-dev (>= 2.3)
+               libsepol1-dev (>= 2.4)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,10 @@
 # missing (hardening) flags.
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 
+BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")
+
 %:
 	dh $@
+
+override_dh_gencontrol:
+	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

=== debian/watch ===
version=3

https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/(?:\d*)/checkpolicy-([\d\.]*)\.tar\.gz

## checkpolicy 2.5

=== debian/changelog ===
checkpolicy (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/gbp.conf: Sign tags by default
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* URL's to please lintian (again)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Apr 2016 20:37:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: checkpolicy
-VCS-Git: git://anonscm.debian.org/selinux/checkpolicy.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/checkpolicy.git;a=summary
+VCS-Git: https://anonscm.debian.org/git/selinux/checkpolicy.git
+VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/checkpolicy.git;a=summary
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: bison,
                debhelper (>= 9),
                flex,
-               libsepol1-dev (>= 2.4)
+               libsepol1-dev (>= 2.5)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

## checkpolicy 2.6

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,10 @@
 INCLUDEDIR ?= $(PREFIX)/include
 TARGETS = checkpolicy checkmodule
 
+LEX = flex
 YACC = bison -y
 
-CFLAGS ?= -g -Wall -Werror -O2 -pipe -fno-strict-aliasing
+CFLAGS ?= -g -Wall -Werror -Wshadow -O2 -pipe -fno-strict-aliasing
 
 override CFLAGS += -I. -I${INCLUDEDIR}

=== debian/changelog ===
checkpolicy (2.6-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/remove-lfl-from-LDLIBS.patch: Fix FTBFS now that the flex
    package is not pulling libfl-dev anymore, from upstream (Closes: #846416)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 Dec 2016 23:11:35 +0100

checkpolicy (2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage

 -- Laurent Bigonville <bigon@debian.org>  Fri, 28 Oct 2016 11:38:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: bison,
                debhelper (>= 9),
                flex,
-               libsepol1-dev (>= 2.5)
+               libsepol1-dev (>= 2.6)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

## checkpolicy 2.7

=== test/Makefile ===
#
# Makefile for building the dispol program
#
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include
LIBSEPOLA ?= $(LIBDIR)/libsepol.a

CFLAGS ?= -g -Wall -W -Werror -O2 -pipe

all: dispol dismod

dispol: dispol.o $(LIBSEPOLA)

dismod: dismod.o $(LIBSEPOLA)

clean:
	-rm -f dispol dismod *.o

=== debian/changelog ===
checkpolicy (2.7-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.
  * debian/copyright: Update the copyright file
  * Bump debhelper compatibility to 10
  * Bump Standards-Version to 4.1.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 09 Sep 2017 23:51:10 +0200

checkpolicy (2.7~rc2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - Bump libsepol1-dev build-dependency to >= 2.7~ to match the release
    - Drop debian/patches/remove-lfl-from-LDLIBS.patch, applied upstream
    - Drop debian/patches/multiarch.patch and override LIBSEPOLA instead
  * debian/watch: Add support for rc releases and use macros
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Jun 2017 15:41:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>,
+Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Build-Depends: bison,
-               debhelper (>= 9),
+               debhelper (>= 10),
                flex,
-               libsepol1-dev (>= 2.6)
+               libsepol1-dev (>= 2.7)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 # missing (hardening) flags.
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 
+export LIBSEPOLA = /usr/lib/$(DEB_HOST_MULTIARCH)/libsepol.a
+
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")
 
 %:

## checkpolicy 2.8

=== debian/changelog ===
checkpolicy (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
    - Drop debian/patches/sctp, merged upstream
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 May 2018 15:44:57 +0200

checkpolicy (2.7-2) unstable; urgency=medium

  * https://marc.info/?l=selinux&m=152078548332657&q=raw
    Add the above patch for sctp support and build-depend on >= version 2.7-2
    of libsepol1-dev.  Closes: #895988

 -- Russell Coker <russell@coker.com.au>  Sat, 19 May 2018 10:16:15 +1000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: checkpolicy
-VCS-Git: https://anonscm.debian.org/git/selinux/checkpolicy.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/checkpolicy.git;a=summary
+VCS-Git: https://salsa.debian.org/selinux-team/checkpolicy.git
+VCS-Browser: https://salsa.debian.org/selinux-team/checkpolicy
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Build-Depends: bison,
                debhelper (>= 10),
                flex,
-               libsepol1-dev (>= 2.7)
+               libsepol1-dev (>= 2.8)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

## checkpolicy 2.9

=== debian/changelog ===
checkpolicy (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jul 2019 08:46:41 +0200

checkpolicy (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/watch: Adjust the URL 
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Mar 2019 20:55:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: bison,
                debhelper (>= 10),
                flex,
-               libsepol1-dev (>= 2.8)
+               libsepol1-dev (>= 2.9)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

## checkpolicy 3.0

=== debian/changelog ===
checkpolicy (3.0-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/copyright: Use https for the format uri, to please lintian

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Repository.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Dec 2019 15:34:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                flex,
-               libsepol1-dev (>= 2.9)
+               libsepol1-dev (>= 3.0)
 Homepage: http://userspace.selinuxproject.org/
 
 Package: checkpolicy

## checkpolicy 3.1

=== Makefile ===
#
# Makefile for building the checkpolicy program
#
LINGUAS ?= ru
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
TARGETS = checkpolicy checkmodule

LEX = flex
YACC = bison -y

CFLAGS ?= -g -Wall -Werror -Wshadow -O2 -pipe -fno-strict-aliasing

# If no specific libsepol.a is specified, fall back on LDFLAGS search path
# Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there
# is no need to define a value for LDLIBS_LIBSEPOLA
ifeq ($(LIBSEPOLA),)
        LDLIBS_LIBSEPOLA := -l:libsepol.a
endif

CHECKOBJS = y.tab.o lex.yy.o queue.o module_compiler.o parse_util.o \
	    policy_define.o
CHECKPOLOBJS = $(CHECKOBJS) checkpolicy.o
CHECKMODOBJS = $(CHECKOBJS) checkmodule.o

GENERATED=lex.yy.c y.tab.c y.tab.h

all:  $(TARGETS)
	$(MAKE) -C test

checkpolicy: $(CHECKPOLOBJS) $(LIBSEPOLA)
	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS_LIBSEPOLA)

checkmodule: $(CHECKMODOBJS) $(LIBSEPOLA)
	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS_LIBSEPOLA)

%.o: %.c 
	$(CC) $(CFLAGS) -o $@ -c $<

y.tab.o: y.tab.c
	$(CC) $(filter-out -Werror, $(CFLAGS)) -o $@ -c $<

lex.yy.o: lex.yy.c
	$(CC) $(filter-out -Werror, $(CFLAGS)) -o $@ -c $<

y.tab.c: policy_parse.y
	$(YACC) -d policy_parse.y

lex.yy.c: policy_scan.l y.tab.c
	$(LEX) policy_scan.l

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 755 $(TARGETS) $(DESTDIR)$(BINDIR)	
	install -m 644 checkpolicy.8 $(DESTDIR)$(MANDIR)/man8
	install -m 644 checkmodule.8 $(DESTDIR)$(MANDIR)/man8
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
		fi ; \
	done

relabel: install
	/sbin/restorecon $(DESTDIR)$(BINDIR)/checkpolicy
	/sbin/restorecon $(DESTDIR)$(BINDIR)/checkmodule

clean:
	-rm -f $(TARGETS) $(CHECKPOLOBJS) $(CHECKMODOBJS) y.tab.c y.tab.h lex.yy.c
	$(MAKE) -C test clean

indent:
	../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))

=== debian/changelog ===
checkpolicy (3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #957083)
    - debian/control: Bump build-dependencies to match the new release
  * debian/gitlab-ci.yml: Try to fix the salsa CI pipeline
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Jul 2020 19:50:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: bison,
                debhelper-compat (= 12),
                flex,
-               libsepol1-dev (>= 3.0)
+               libsepol1-dev (>= 3.1)
 Homepage: http://userspace.selinuxproject.org/
+Rules-Requires-Root: no
 
 Package: checkpolicy
 Architecture: linux-any

## checkpolicy 3.3

=== debian/changelog ===
checkpolicy (3.3-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/gitlab-ci.yml: Use Debian recipe
  * d/rules: Enable -Wall and -Wextra
  * d/rules: Enable build hardening
  * d/upstream/metadata: Add fields Bug-Submit and Bug-Database
  * d/control: Drop cute fields

  [ Laurent Bigonville ]
  * debian/watch: Update the regex (again)
  * New upstream version 3.3
    - Switch BD from libsepol1-dev to libsepol-dev
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Nov 2021 23:27:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: checkpolicy
-VCS-Git: https://salsa.debian.org/selinux-team/checkpolicy.git
-VCS-Browser: https://salsa.debian.org/selinux-team/checkpolicy
+Vcs-Git: https://salsa.debian.org/selinux-team/checkpolicy.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/checkpolicy
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                flex,
-               libsepol1-dev (>= 3.1)
-Homepage: http://userspace.selinuxproject.org/
+               libsepol-dev (>= 3.3)
+Homepage: https://selinuxproject.org
 Rules-Requires-Root: no
 
 Package: checkpolicy

## checkpolicy 3.4

=== debian/changelog ===
checkpolicy (3.4-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * Enable GPG key validation of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 12:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
-               libsepol-dev (>= 3.3)
+               libsepol-dev (>= 3.4)
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## checkpolicy 3.5

=== debian/changelog ===
checkpolicy (3.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman

 -- Laurent Bigonville <bigon@debian.org>  Mon, 10 Jul 2023 20:52:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
-               libsepol-dev (>= 3.4)
+               libsepol-dev (>= 3.5)
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## checkpolicy 3.7

=== debian/changelog ===
checkpolicy (3.7-1) unstable; urgency=medium

  * New upstream release closes: #1078391
  * Add extra upstream signing key for Petr Lautrbach

 -- Russell Coker <russell@coker.com.au>  Fri, 23 Aug 2024 19:10:10 +1000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
-               libsepol-dev (>= 3.5)
+               libsepol-dev (>= 3.7)
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## checkpolicy 3.8

=== debian/changelog ===
checkpolicy (3.8-1) unstable; urgency=medium

  * New upstream release

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 20:02:15 +1100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
-               libsepol-dev (>= 3.7)
+               libsepol-dev (>= 3.8)
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## checkpolicy 3.8.1

=== debian/changelog ===
checkpolicy (3.8.1-1) unstable; urgency=medium

  * New upstream release, only version number change

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 17:33:11 +1100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
-               libsepol-dev (>= 3.8)
+               libsepol-dev (>= 3.8.1)
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

## checkpolicy 3.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for building the checkpolicy program
 #
-LINGUAS ?= ru
+LINGUAS ?=
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man
@@ -10,7 +10,7 @@
 LEX = flex
 YACC = bison -y
 
-CFLAGS ?= -g -Wall -Werror -Wshadow -O2 -pipe -fno-strict-aliasing
+CFLAGS ?= -g -Wall -Werror -Wshadow -O2 -fno-strict-aliasing
 
 # If no specific libsepol.a is specified, fall back on LDFLAGS search path
 # Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there
@@ -30,25 +30,32 @@
 	$(MAKE) -C test
 
 checkpolicy: $(CHECKPOLOBJS) $(LIBSEPOLA)
-	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS_LIBSEPOLA)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(LDLIBS_LIBSEPOLA)
 
 checkmodule: $(CHECKMODOBJS) $(LIBSEPOLA)
-	$(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS_LIBSEPOLA)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(LDLIBS_LIBSEPOLA)
 
 %.o: %.c 
-	$(CC) $(CFLAGS) -o $@ -c $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<
 
 y.tab.o: y.tab.c
-	$(CC) $(filter-out -Werror, $(CFLAGS)) -o $@ -c $<
+	$(CC) $(filter-out -Werror, $(CPPFLAGS) $(CFLAGS)) -o $@ -c $<
 
 lex.yy.o: lex.yy.c
-	$(CC) $(filter-out -Werror, $(CFLAGS)) -o $@ -c $<
+	$(CC) $(filter-out -Werror, $(CPPFLAGS) $(CFLAGS)) -o $@ -c $<
 
 y.tab.c: policy_parse.y
 	$(YACC) -d policy_parse.y
 
 lex.yy.c: policy_scan.l y.tab.c
 	$(LEX) policy_scan.l
+
+.PHONY: test
+test: checkpolicy
+	./tests/test_roundtrip.sh
+
+# helper target for fuzzing
+checkobjects: $(CHECKOBJS)
 
 install: all
 	-mkdir -p $(DESTDIR)$(BINDIR)
@@ -68,7 +75,7 @@
 	/sbin/restorecon $(DESTDIR)$(BINDIR)/checkmodule
 
 clean:
-	-rm -f $(TARGETS) $(CHECKPOLOBJS) $(CHECKMODOBJS) y.tab.c y.tab.h lex.yy.c
+	-rm -f $(TARGETS) $(CHECKPOLOBJS) $(CHECKMODOBJS) y.tab.c y.tab.h lex.yy.c tests/testpol.conf tests/testpol.bin
 	$(MAKE) -C test clean
 
 indent:

=== debian/changelog ===
checkpolicy (3.9-1) unstable; urgency=medium

  * 3.9 upstream release
  * Removed postal address of FSF from copyright file

 -- Russell Coker <russell@coker.com.au>  Fri, 17 Oct 2025 19:03:19 +1100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
-               libsepol-dev (>= 3.8.1)
+               libsepol-dev (>= 3.9)
 Homepage: https://selinuxproject.org
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. Also enable Wall and Wextra to spot basic irregularities.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS) -Wall -Wextra

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol-dev")

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

=== debian/watch ===
version=4

opts="uversionmangle=s/-(rc)/~$1/,pgpmode=auto" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
